import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const payrollWageItem = await conductor.qbd.payrollWageItems.create({
expenseAccountId: '80000001-1234567890',
name: 'Regular Pay',
wageType: 'hourly_regular',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(payrollWageItem.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
payroll_wage_item = conductor.qbd.payroll_wage_items.create(
expense_account_id="80000001-1234567890",
name="Regular Pay",
wage_type="hourly_regular",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(payroll_wage_item.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Regular Pay",
"wageType": "hourly_regular",
"expenseAccountId": "80000001-1234567890",
"isActive": true,
"overtimeMultiplier": "1.5",
"rate": "15.00",
"ratePercent": "10"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Regular Pay',
'wageType' => 'hourly_regular',
'expenseAccountId' => '80000001-1234567890',
'isActive' => true,
'overtimeMultiplier' => '1.5',
'rate' => '15.00',
'ratePercent' => '10'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items"
payload := strings.NewReader("{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_payroll_wage_item",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Regular Pay",
"isActive": true,
"wageType": "hourly_regular",
"expenseAccount": {
"id": "80000001-1234567890",
"fullName": "Expenses:Payroll"
},
"overtimeMultiplier": "1.5",
"rate": "15.00",
"ratePercent": "10"
}Create a payroll wage item
Creates a new payroll wage item.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const payrollWageItem = await conductor.qbd.payrollWageItems.create({
expenseAccountId: '80000001-1234567890',
name: 'Regular Pay',
wageType: 'hourly_regular',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(payrollWageItem.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
payroll_wage_item = conductor.qbd.payroll_wage_items.create(
expense_account_id="80000001-1234567890",
name="Regular Pay",
wage_type="hourly_regular",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(payroll_wage_item.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Regular Pay",
"wageType": "hourly_regular",
"expenseAccountId": "80000001-1234567890",
"isActive": true,
"overtimeMultiplier": "1.5",
"rate": "15.00",
"ratePercent": "10"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Regular Pay',
'wageType' => 'hourly_regular',
'expenseAccountId' => '80000001-1234567890',
'isActive' => true,
'overtimeMultiplier' => '1.5',
'rate' => '15.00',
'ratePercent' => '10'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items"
payload := strings.NewReader("{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/payroll-wage-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Regular Pay\",\n \"wageType\": \"hourly_regular\",\n \"expenseAccountId\": \"80000001-1234567890\",\n \"isActive\": true,\n \"overtimeMultiplier\": \"1.5\",\n \"rate\": \"15.00\",\n \"ratePercent\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_payroll_wage_item",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Regular Pay",
"isActive": true,
"wageType": "hourly_regular",
"expenseAccount": {
"id": "80000001-1234567890",
"fullName": "Expenses:Payroll"
},
"overtimeMultiplier": "1.5",
"rate": "15.00",
"ratePercent": "10"
}Authorizations
Headers
Body
The case-insensitive unique name of this payroll wage item, unique across all payroll wage items.
NOTE: Payroll wage items do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 31 characters.
31"Regular Pay"
Categorizes how this payroll wage item calculates pay - can be hourly (regular, overtime, sick, or vacation), salary (regular, sick, or vacation), bonus, or commission based.
bonus, commission, hourly_overtime, hourly_regular, hourly_sick, hourly_vacation, salary_regular, salary_sick, salary_vacation "hourly_regular"
Response
Returns the newly created payroll wage item.
The current QuickBooks-assigned revision number of this payroll wage item object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this payroll wage item, unique across all payroll wage items.
NOTE: Payroll wage items do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
"Regular Pay"
Categorizes how this payroll wage item calculates pay - can be hourly (regular, overtime, sick, or vacation), salary (regular, sick, or vacation), bonus, or commission based.
bonus, commission, hourly_overtime, hourly_regular, hourly_sick, hourly_vacation, salary_regular, salary_sick, salary_vacation "hourly_regular"

